package com.lqkj.cmlcp.module.authority.service.impl;

import com.lqkj.cmlcp.module.authority.domain.UserInfo;
import com.lqkj.cmlcp.module.authority.service.UserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.stereotype.Service;

@Service
public class DatabaseUserDetailService implements UserDetailsService {

    @Autowired
    private UserInfoService userInfoService;


    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
//        if (username.length() != 172) throw new UsernameNotFoundException("用户名错误！");
//        try {
//            username = RSAUtils.decryptBase64(username);
//        } catch (Exception e) {
//            throw new UsernameNotFoundException("用户名错误！");
//        }
        UserInfo userInfo = userInfoService.selectByUserName(username);
        if (userInfo == null) {
            throw new UsernameNotFoundException("用户名不存在！");
        }
        return userInfo;
    }



}
