package com.lqkj.cmlcp.module.base.service.impl;

import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.base.service.BaseService;
import com.lqkj.cmlcp.utils.FileUtils;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.UUID;

@Service
public class BaseServiceImpl implements BaseService {
    @Override
    public String uploadJsonFile(MultipartFile file, String path) {
        String fileName = file.getOriginalFilename();
        String suffix = fileName == null ? "" : fileName.substring(fileName.lastIndexOf(".") + 1);
        if (!suffix.equals("json")) throw new RuntimeException("上传文件类型必须是json格式的json文件");
        String newFileName = UUID.randomUUID() + "." + suffix;
        String filePath = "./upload/" + path;
        FileUtils.saveFile(file, filePath, newFileName);
        return filePath.substring(1) + newFileName;
    }
}
