package com.lqkj.cmlcp.module.test.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;


@Accessors(chain = true)
@Data(staticConstructor = "create")
@NoArgsConstructor
@AllArgsConstructor
public class Captcha {

    private static final long serialVersionUID = 1L;

    @Schema(description = "验证码id")
    private Long id;

    @Schema(description = "验证码")
    private String code;

    @Schema(description = "手机号")
    private String phoneNumber;

    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date createTime;

}
