package com.lqkj.cmlcp;

import com.lqkj.cmlcp.config.PropertyDeploy;
import org.springframework.boot.Banner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class CmlcpServerApplication {

    public static void main(String[] args) {
        // 生成配置文件
        PropertyDeploy deploy=new PropertyDeploy();
        deploy.deploy();

        // 禁止actuator端点
        SpringApplication app = new SpringApplication(CmlcpServerApplication.class);
        app.setBannerMode(Banner.Mode.OFF);
        app.setAddCommandLineProperties(false);
        app.run(args);
    }

}
