package com.lqkj.cmlcp.config;

import com.lqkj.cmlcp.filter.RequestUrlLoggingFilter;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
 
@Configuration
public class WebConfig {
 
    @Bean
    public FilterRegistrationBean<RequestUrlLoggingFilter> loggingFilter() {
        FilterRegistrationBean<RequestUrlLoggingFilter> registrationBean = new FilterRegistrationBean<>();
        registrationBean.setFilter(new RequestUrlLoggingFilter());
        registrationBean.addUrlPatterns("/*");
        registrationBean.setOrder(1);
        return registrationBean;
    }
}