package com.lqkj.cmlcp.module.authority.service;

import com.lqkj.cmlcp.module.authority.domain.UserInfo;
import com.mybatisflex.core.service.IService;

public interface UserInfoService extends IService<UserInfo> {
    UserInfo findByUserCode(String userCode);

    boolean isLocked(String userCode);

    String lockedUser(String userCode);

    void unlockedUser(String userCode);

    UserInfo selectByUserName(String username);
}
